Loading...
Searching...
No Matches
XrdHttpReq.hh File Reference

Main request/response class, handling the logical status of the communication. More...

`#include "XrdOuc/XrdOucString.hh"`
`#include "XProtocol/XProtocol.hh"`
`#include "XrdXrootd/XrdXrootdBridge.hh"`
`#include "XrdHttpChecksumHandler.hh"`
`#include "XrdHttpReadRangeHandler.hh"`
`#include <vector>`
`#include <string>`
`#include <map>`
Include dependency graph for XrdHttpReq.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | DirListInfo
class | XrdHttpReq

## Functions

void | trim (std::string &str)

## Detailed Description

Main request/response class, handling the logical status of the communication.

Author
  Fabrizio Furano

Date
  Nov 2012

Definition in file XrdHttpReq.hh.

## Class Documentation

## DirListInfo

struct DirListInfo

Definition at line 59 of file XrdHttpReq.hh.

Collaboration diagram for DirListInfo:

Class Members
long | flags |
long | id |
long | modtime |
string | path |
long long | size |

## Function Documentation

## trim()

void trim | ( | std::string & | str | ) |

Definition at line 77 of file XrdHttpReq.cc.

{
XrdOucUtils::trim(str);
}
XrdOucUtils::trim
static void trim(std::string &str)
Definition XrdOucUtils.cc:1487

References XrdOucUtils::trim().

Referenced by XrdOucBuffer::Clone(), XrdOfsCPFile::FName(), XrdOucGatherConf::Gather(), and XrdHttpReq::parseLine().

Here is the call graph for this function:
Here is the caller graph for this function: